Subject: Re: [PATCH 0/4] run auto maintenance in git-gui

From: Junio C Hamano <[email-masked]>
Date: Sat, 07 Mar 2026 22:02:55 -0800

Johannes Sixt <[email-masked]> writes:

> The option does not only control whether or not a warning appears, but
> also whether garbage collection happens or not. When it is set to false,
> then in addition to squelching the warning, garbage collection does
> *not* happen.

Ah, OK, now what you said makes perfect sense.

> I think so, too. For this reason, my implied suggestion was to protect
> the new call of `git maintenance` with a check whether gui.gcwarning is
> enabled. Then we don't make anything worse for those who have it disabled.

Good.

Thanks.